Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class InitializeDynamicViewException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  de.jsystems.tools.exception.BaseRuntimeException
                      de.jsystems.framework.common.exception.InitializeDynamicViewException

All Implemented Interfaces:
  Serializable

public class InitializeDynamicViewException
extends BaseRuntimeException

Diese Exception wird von der Klasse `BusinessDynamicView` augeloest, wenn beim erzeugen der Oberflaeche aus dem uebergebenen Item ein Fehler auftritt. Dieser duerfte meistens seinen Grund in den Reflectionzugriffen auf das Item haben.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseRuntimeException
`LEVEL_WARNING, LOG_OFF, LOG_ON`

Fields inherited from class java.lang.RuntimeException
``

Constructor Summary
`InitializeDynamicViewException(Exception origin, String message)` Erzeugt eine neue Exception mit dem uebergebenen Fehlertext.
`InitializeDynamicViewException(String message)` Erzeugt eine neue Exception mit dem uebergebenen Fehlertext.

Methods inherited from class de.jsystems.tools.exception.BaseRuntimeException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitializeDynamicViewException

    public InitializeDynamicViewException(String message)

  Erzeugt eine neue Exception mit dem uebergebenen Fehlertext.

Parameters:
  `message` - Der beschreibende Fehlertext, warum die Exception erzeugt wurde.

### InitializeDynamicViewException

    public InitializeDynamicViewException(Exception origin,
                                          String message)

  Erzeugt eine neue Exception mit dem uebergebenen Fehlertext. Zusaetzlich wird hier noch die urspruengliche Exception mitgegeben, die der eigentliche Grund fuer diese Exception ist.

Parameters:
  `origin` - Die urspruenglich aufgetretene Exception.
  `message` - Der beschreibende Fehlertext, warum die Exception erzeugt wurde.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD